Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events"{ "data": [ { "id": "string", "client_event_id": "string", "name": "string", "customer_id": "string", "occurred_at": "2019-08-24T14:15:22Z", "received_at": "2019-08-24T14:15:22Z", "properties": { "property1": null, "property2": null }, "mode": "async", "late": true, "status": "accepted", "execution_id": "string" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/events" \ -H "Content-Type: application/json" \ -d '{ "id": "order_42", "name": "order.paid", "customer_id": "reader_42", "properties": {}, "mode": "async" }'{ "results": [ { "id": "string", "status": "pending", "receipt_url": "string", "effects": { "mechanic_changes": [ { "type": "streak.progressed", "program_id": "string" } ], "coupons": [ { "entitlement_id": "string", "offer_version_id": "string" } ], "discounts": [ { "quote_id": "string", "offer_version_id": "string", "currency": "string", "subtotal_minor": "string", "discount_minor": "string", "total_minor": "string" } ], "graph_quest_progress": [ { "program_id": "string", "participation_id": "string", "run_id": "string", "status": "enrolled", "steps": [ { "key": "string", "progress": "string", "completed": true } ] } ], "currency_deltas": [ { "currency_id": "string", "amount": "string" } ], "quest_progress": [ { "program_id": "string", "participation_id": "string", "progress": -9007199254740991, "target": -9007199254740991, "completed": true } ] }, "pending_followups": true } ]}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events/string"{ "id": "string", "client_event_id": "string", "name": "string", "customer_id": "string", "occurred_at": "2019-08-24T14:15:22Z", "received_at": "2019-08-24T14:15:22Z", "properties": { "property1": null, "property2": null }, "mode": "async", "late": true, "status": "accepted", "execution_id": "string"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events/string/execution"{ "id": "string", "event_id": "string", "customer_id": "string", "version_set": "string", "matched_rules": 0, "plan": [ null ], "trace": null, "created_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/event_definitions"{ "data": [ { "id": "string", "name": "string", "observed_schema": { "property1": null, "property2": null }, "confirmed_schema": { "property1": null, "property2": null }, "schema_enforcement": "off", "schema_violation_count": 0, "schema_last_violation": { "property": "string", "message": "string", "event_id": "string", "at": "2019-08-24T14:15:22Z", "sample": { "property1": null, "property2": null } }, "description": "string", "samples": [ null ], "event_count": 0, "client_allowed": true, "minimum_trust": "anonymous_claim", "fact_policy": { "object_type": "string", "key": [ "string" ], "owner": "merchant" }, "time_policy": { "client": "received_at" }, "first_seen_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z", "version": 0, "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/event_definitions/string"{ "id": "string", "name": "string", "observed_schema": { "property1": null, "property2": null }, "confirmed_schema": { "property1": null, "property2": null }, "schema_enforcement": "off", "schema_violation_count": 0, "schema_last_violation": { "property": "string", "message": "string", "event_id": "string", "at": "2019-08-24T14:15:22Z", "sample": { "property1": null, "property2": null } }, "description": "string", "samples": [ null ], "event_count": 0, "client_allowed": true, "minimum_trust": "anonymous_claim", "fact_policy": { "object_type": "string", "key": [ "string" ], "owner": "merchant" }, "time_policy": { "client": "received_at" }, "first_seen_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z", "version": 0, "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Optional legacy revision. Missing or malformed values follow the existing route parser.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/event_definitions/string" \ -H "Content-Type: application/json" \ -d '{ "description": "Paid order" }'{ "id": "string", "name": "string", "observed_schema": { "property1": null, "property2": null }, "confirmed_schema": { "property1": null, "property2": null }, "schema_enforcement": "off", "schema_violation_count": 0, "schema_last_violation": { "property": "string", "message": "string", "event_id": "string", "at": "2019-08-24T14:15:22Z", "sample": { "property1": null, "property2": null } }, "description": "string", "samples": [ null ], "event_count": 0, "client_allowed": true, "minimum_trust": "anonymous_claim", "fact_policy": { "object_type": "string", "key": [ "string" ], "owner": "merchant" }, "time_policy": { "client": "received_at" }, "first_seen_at": "2019-08-24T14:15:22Z", "last_seen_at": "2019-08-24T14:15:22Z", "version": 0, "updated_at": "2019-08-24T14:15:22Z"}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/events/string/retry"{ "execution_id": "string", "status": "evaluated", "plan": [ null ], "trace": null, "effects": [ null ]}Secret API key bound to an environment.
In: header
Query Parameters
1 <= value <= 20050length <= 2048Value in
- "true"
- "false"
Header Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/poison_events"{ "data": [ { "event_id": "string", "event_name": "string", "customer_id": "string", "attempts": 0, "last_error": "string", "last_error_at": "2019-08-24T14:15:22Z", "resolved_at": "2019-08-24T14:15:22Z", "resolution": "retried" } ], "next_cursor": "string", "has_more": true}Secret API key bound to an environment.
In: header
Path Parameters
1 <= lengthHeader Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/poison_events/string/discard"